Update desk

Updates a desk's name and the set of users assigned to it.

Parameters. id (path): the desk to update. name: a new name for the desk. userIds: the full set of user IDs that should be assigned to the desk. Any user not in this list is removed from the desk.
Returns. { "userDesk": { ... } } with the updated desk.
Example. PUT /api/desks/5 with { "name": "Desk-English", "userIds": [2] }

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Desk ID.

string
required

Dialer Name (subdomain)

Body Params

The updated name of the desk.

array | null

An array of user IDs associated with the desk.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json